debian: fix pkg x2

1. Do not fail postinst script if installing standalone and CouchDB
   fails to start (e.g., in Docker, where there is no init). Print
   a warning about being unable to create _users/_replicator instead.

2. Do not double-depend on libmozjs185-1.0 (was preventing successful
   installation.)
diff --git a/debian/couchdb.postinst b/debian/couchdb.postinst
index f73b472..830b3cd 100644
--- a/debian/couchdb.postinst
+++ b/debian/couchdb.postinst
@@ -91,10 +91,24 @@
   if curl -s "${url}/${db}" | grep -q "${db}"; then
     return 0
   fi
-  curl -s -X PUT "${url}/${db}" >/dev/null 2>&1
+  curl -s -X PUT "${url}/${db}" >/dev/null 2>&1 || warnfail
   return $?
 }
 
+warnfail() {
+  # print a warning and exit without error
+  cat <<EOF
+WARNING: Unable to create standalone system databases.
+CouchDB may not have started correctly (no init?)
+Once CouchDB has started correctly, run the following:
+
+  curl -X PUT http://<admin-user>:<admin-pass>@127.0.0.1:5984/_users
+  curl -X PUT http://<admin-user>:<admin-pass>@127.0.0.1:5984/_replicator
+
+EOF
+  exit 0
+}
+
 case $1 in
   configure)
     if dpkg --compare-versions "$2" lt-nl 1.2.0-2ubuntu1; then
diff --git a/debian/rules b/debian/rules
index 394bd4c..c767158 100755
--- a/debian/rules
+++ b/debian/rules
@@ -38,7 +38,7 @@
 
 # this allows us to use a fake/equivs libmozjs185-1.0 in automated testing
 override_dh_shlibdeps:
-	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
+	dh_shlibdeps -- --ignore-missing-info -xlibmozjs185-1.0
 
 # bintray doesn't support xz uploads :(
 override_dh_builddeb: